import {URIDecoder} from './uridecoder';

describe('URIDecoder', () => {
  let sut: URIDecoder;

  beforeEach(() => sut = new URIDecoder());

  it('should create an instance', () => {
    expect(sut).toBeTruthy();
  });

  it('should have a display name', () => {
    expect(sut.getDisplayname()).toBeTruthy();
  });

  it('should have the id "uridecode"', () => {
    expect(sut.getId()).toEqual('uridecode');
  });

  it('should decode "http://m%C3%A4nu:gh%C3%ABim@host:port/hi.there?oh=well#ya" ' +
    'to "http://mänu:ghëim@host:port/hi.there?oh=well#ya"', () => {
    expect(sut.convert('http://m%C3%A4nu:gh%C3%ABim@host:port/hi.there?oh=well#ya'))
      .toEqual('http://mänu:ghëim@host:port/hi.there?oh=well#ya');
  });
});
